%define name konserve
%define version 0.10.3
%define release %mkrel 6
%define __libtoolize    /bin/true

Name:           %name
Summary:        Konserve is a small backup application.
Version:        %version
Release:        %release
Source:         %{name}-%{version}.tar.bz2
Patch0:		konserve-0.10.3-automake.patch.bz2
URL:            http://konserve.sourceforge.net/
Group:          Archiving/Other
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL
BuildRequires:	kdelibs-devel
BuildRequires:  mandriva-create-kde-mdk-menu
Requires:       kdebase >= 3.2

%description
Konserve is a small backup application for the KDE 3.x environment. 
It lives in the system tray and is able to create backups of several 
directories or files periodically.

%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q
%patch0 -p1 -b .automake

%build
libtoolize -c -f
aclocal-1.9
autoheader
automake-1.9 -a -c
autoconf
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }
%configure --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


#Menu

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System/Archiving/Compression" $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/konserve.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/konserve
%_menudir/konserve
%_datadir/applnk/Applications/konserve.desktop

%dir %_datadir/apps/konserve
%_datadir/apps/konserve/tips

%dir %_docdir/HTML/en/konserve/
%doc %_docdir/HTML/en/konserve/common
%doc %_docdir/HTML/en/konserve/*.bz2
%doc %_docdir/HTML/en/konserve/*.docbook
%doc %_docdir/HTML/en/konserve/*.png

%_iconsdir/hicolor/16x16/apps/konserve.png
%_iconsdir/hicolor/32x32/apps/konserve.png

%_iconsdir/locolor/16x16/apps/konserve.png
%_iconsdir/locolor/32x32/apps/konserve.png

%changelog
* Fri May 26 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.10.3-6mdk
- patch0: accept automake 1.9.x

* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.10.3-5mdk
- build with automake1.8

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.10.3-4mdk
- Fix Buildrequires
- Remove redundant Buildrequires
- use mkrel

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.10.3-3mdk
- Fix build on x86_64

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-2mdk
- Rebuild

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.3-1mdk
- First package
